Skip to content
Docs

Update a Secure Compute network

PATCHhttps://api.vercel.com/v1/connect/networks/{networkId}
Allows to update a Secure Compute network.
https://api.vercel.com/v1/connect/networks/{networkId}
const response = await fetch('https://api.vercel.com/v1/connect/networks/networkId?teamId=string&slug=string', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"name": "Example Name"
}),
});
const data = await response.json();
console.log(data);
Response
{
"awsAccountId": "example_id",
"awsAvailabilityZoneIds": [],
"awsRegion": "string",
"cidr": "example_id",
"createdAt": "123",
"egressIpAddresses": [],
"hostedZones": {
"count": "123"
},
"id": "icfg_1234567890",
"name": "Example Name",
"peeringConnections": {
"count": "123"
},
"projects": {
"count": "123",
"ids": []
},
"region": "string",
"status": "create_in_progress",
"teamId": "example_id",
"vpcId": "example_id"
}
AuthorizationbearerToken

Default authentication mechanism

networkIdstringRequired
The unique identifier of the Secure Compute network
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
namestringRequired
The name of the Secure Compute network
200Success
awsAccountIdstringRequired
The ID of the AWS Account in which the network exists.
awsAvailabilityZoneIdsarrayOptional
The IDs of the AWS Availability Zones in which the network exists, if specified during creation.
awsRegionstringRequired
The AWS Region in which the network exists.
cidrstringRequired
The CIDR range of the Network.
createdAtnumberRequired
The date at which the Network was created, represented as a UNIX timestamp since EPOCH.
egressIpAddressesarrayOptional
hostedZonesobjectOptional
Metadata about any AWS Route53 Hosted Zones associated with the Network.
idstringRequired
The unique identifier of the Network.
namestringRequired
The name of the network.
peeringConnectionsobjectOptional
Metadata about any AWS Route53 Hosted Zones associated with the Network.
projectsobjectOptional
Metadata about any projects associated with the Network.
regionstringOptional
The Vercel region in which the Network exists.
statusstringRequired
The status of the Network.
teamIdstringRequired
The unique identifier of the Team that owns the Network.
vpcIdstringOptional
The ID of the VPC which hosts the network.
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error